Imports BDNotasAlumnos

Class CProveedorAsignaturasNotas
  Private contextoDeObjs As bd_notasAlumnosEntities

  Public Sub New()
    contextoDeObjs = New bd_notasAlumnosEntities()
  End Sub

  Public Function ObtenerAsignaturasNotas(idAlumno As Integer) As Object
    Dim alumAsigs = _
      From al_as In contextoDeObjs.alums_asigs _
      Where al_as.id_alumno = idAlumno _
      Select New With {al_as.asignatura.id_asignatura, _
                       al_as.asignatura.nombre, _
                       al_as.nota}
    Return alumAsigs.ToList()
  End Function
End Class
